
Infrastructure - Task #1469

Story # 725 (In Progress): Create Authentication and Access control design specifications

Add API definitions for Authentication.

2011-04-06 17:48 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

History

#1 - 2011-04-06 17:48 - Matthew Jones

- Parent task changed from #1123 to #725

#2 - 2011-04-07 01:46 - Matthew Jones

- Status changed from New to In Progress

#3 - 2011-04-07 01:50 - Matthew Jones

- Category set to Documentation

- Milestone set to 2011-Block-2

Added API methods for Authn into design specs, and created associated types.  Now have API methods for both 'login' and two phase

request/response style authentication.  Also designed method for getting AuthSession details, and methods for user and group management.

Need to review with Dave, then can close.

#4 - 2011-04-08 15:49 - Dave Vieglais

First review suggests all looks good. Expect some details to emerge during implementation.

#5 - 2011-11-04 18:58 - Dave Vieglais

- Status changed from In Progress to Closed

- Milestone changed from 2011-Block-2 to None

This seems to be complete.

#6 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#7 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#8 - 2012-12-12 16:50 - Chris Jones
- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#9 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#10 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#11 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#12 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#13 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#14 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
